# Color Swap Mod
Change the in-game default color slots and add outlines to the characters in-game.
![Screenshot](https://gitlab.com/axolotlll/colorswap/-/raw/main/screenshot.png)

Color swap was possible before, but arduous. It involved modding the assembly, and also modifying several assets in the game_sprites bundle to match the new colors. This mod makes it easy to swap colors, by generating the sprites on the fly.

Also you can now toggle outlines on the characters.

## Config
You can set the RGB values of each player slot in the config, make sure that the color replacement is also set to Enabled.

It is suggested to keep Recolor Sprites enabled, but you can disable it, if you plan to manually mod your bundle. 

There is a setting to either use Multiply (which darkens the color) or Screen (which lightens the color) and a parameter to tweak how the colors look. If you wish to use the re-coloring and still modify the sprites, be aware the mod will only use the sprites from P1.

## Changelog
###v1.0.1
- Update to ModMenu v1.3.0
- Renamed a config key
- Cleanup

###v1.0.0
- First version!